set_property PACKAGE_PIN W5 [get_ports {Clk}]
set_property IOSTANDARD LVCMOS33 [get_ports {Clk}]
create_clock -period 10.00 -name sys_clk_pin -waveform {0 5} -add [get_ports {Clk}]

set_property PACKAGE_PIN V17 [get_ports {Freq[0]}] # far right switch
set_property IOSTANDARD LVCMOS33 [get_ports {Freq[0]}]

set_property PACKAGE_PIN V16 [get_ports {Freq[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Freq[1]}]

set_property PACKAGE_PIN W16 [get_ports {Freq[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Freq[2]}]

set_property PACKAGE_PIN W17 [get_ports {Freq[3]}] # switch 4
set_property IOSTANDARD LVCMOS33 [get_ports {Freq[3]}]

set_property PACKAGE_PIN R2 [get_ports {Step[0]}] # far left switch
set_property IOSTANDARD LVCMOS33 [get_ports {Step[0]}]

set_property PACKAGE_PIN T1 [get_ports {Step[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Step[1]}]

set_property PACKAGE_PIN U1 [get_ports {Step[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Step[2]}]

set_property PACKAGE_PIN W2 [get_ports {Step[3]}] # switch 13
set_property IOSTANDARD LVCMOS33 [get_ports {Step[3]}]

set_property PACKAGE_PIN T17 [get_ports {PP}] # right button
set_property IOSTANDARD LVCMOS33 [get_ports {PP}]

set_property PACKAGE_PIN W19 [get_ports {Sel}] # left button
set_property IOSTANDARD LVCMOS33 [get_ports {Sel}]

set_property PACKAGE_PIN U17 [get_ports {Assign}] # bottom button
set_property IOSTANDARD LVCMOS33 [get_ports {Assign}]

set_property PACKAGE_PIN W4 [get_ports {Anode[3]}] # far left digit
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[3]}]

set_property PACKAGE_PIN V4 [get_ports {Anode[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[2]}]

set_property PACKAGE_PIN U4 [get_ports {Anode[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[1]}]

set_property PACKAGE_PIN U2 [get_ports {Anode[0]}] # far right digit
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[0]}]

set_property PACKAGE_PIN W7 [get_ports {Cathode[6]}] # segment a
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[6]}]

set_property PACKAGE_PIN W6 [get_ports {Cathode[5]}] # segment b
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[5]}]

set_property PACKAGE_PIN U8 [get_ports {Cathode[4]}] # segment c
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[4]}]

set_property PACKAGE_PIN V8 [get_ports {Cathode[3]}] # segment d
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[3]}]

set_property PACKAGE_PIN U5 [get_ports {Cathode[2]}] # segment e
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[2]}]

set_property PACKAGE_PIN V5 [get_ports {Cathode[1]}] # segment f
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[1]}]

set_property PACKAGE_PIN U7 [get_ports {Cathode[0]}] # segment g
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[0]}]

set_property PACKAGE_PIN A14 [get_ports {DAC[0]}] # LSB to DAC
set_property IOSTANDARD LVCMOS33 [get_ports {DAC[0]}]

set_property PACKAGE_PIN A16 [get_ports {DAC[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC[1]}]

set_property PACKAGE_PIN B15 [get_ports {DAC[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC[2]}]

set_property PACKAGE_PIN B16 [get_ports {DAC[3]}] # MSB to DAC
set_property IOSTANDARD LVCMOS33 [get_ports {DAC[3]}]

