----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/29/2017 02:50:02 PM
-- Design Name: 
-- Module Name: all_square_wave_sim - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity all_square_wave_sim is
--  Port ( );
end all_square_wave_sim;

architecture Behavioral of all_square_wave_sim is

    component all_square_wave is
        Port ( Tone : in STD_LOGIC_VECTOR (3 downto 0);
               DAC_input : out STD_LOGIC_VECTOR (15 downto 0));
    end component;
    
    signal Tone : STD_LOGIC_VECTOR (3 downto 0) := "1111";
    
    signal DAC_input : STD_LOGIC_VECTOR (15 downto 0) := x"0000";

begin

    UUT : all_square_wave port map (Tone => Tone, DAC_input => DAC_input);

    process begin
        Tone(0) <= not tone(0);
        wait for 1 ns;
    end process;

    process begin
        Tone(1) <= not tone(1);
        wait for 2 ns;
    end process;

    process begin
        Tone(2) <= not tone(2);
        wait for 3 ns;
    end process;

    process begin
        Tone(3) <= not tone(3);
        wait for 4 ns;
    end process;

end Behavioral;
