----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/29/2017 08:17:20 AM
-- Design Name: 
-- Module Name: square_wave_sim - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity square_wave_sim is
--  Port ( );
end square_wave_sim;

architecture Behavioral of square_wave_sim is

    component square_wave is
        Port ( Tone : in STD_LOGIC;
               DAC_input : out STD_LOGIC_VECTOR (3 downto 0));
    end component;
    
    signal Tone : STD_LOGIC := '0';
    
    signal DAC_input : STD_LOGIC_VECTOR (3 downto 0) := "0000";

begin

    UUT : square_wave port map (Tone => Tone, DAC_input => DAC_input);

    process begin
        Tone <= not Tone;
        wait for 5 ns;
    end process;

end Behavioral;
