----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/15/2017 08:41:27 AM
-- Design Name: 
-- Module Name: Clk_div_7seg - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Clk_div_7seg is
    Port ( Clk : in STD_LOGIC;
           Clk_7seg : out STD_LOGIC);
end Clk_div_7seg;

architecture Behavioral of Clk_div_7seg is

    signal count : integer := 0;
    
    signal signal7seg : STD_LOGIC := '0';

begin

    process (Clk)
    begin
        if (rising_edge(Clk)) then
            count <= count + 1; -- creates ambiguous adder
            
            if (count = 416667) then -- 240 Hz, 60 * 2 per digit b/c only using rising edge
                signal7seg <= not signal7seg;
                count <= 0; -- count to 416667 then reset
            end if;
            
        end if;
        
    end process;

    Clk_7seg <= signal7seg;

end Behavioral;
