----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/29/2017 08:13:39 AM
-- Design Name: 
-- Module Name: square_wave - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity square_wave is
    Port ( Tone : in STD_LOGIC := '0'; -- oscillating pitch frequency
           DAC_input : out STD_LOGIC_VECTOR (3 downto 0) := "0000"); 
end square_wave;

architecture Behavioral of square_wave is

    signal DAC : STD_LOGIC_VECTOR (3 downto 0) := "0000";

--  intermediate signal b/c cannot read from out object

begin

    process (Tone)
    begin
        if (rising_edge(Tone)) then
            DAC <= not DAC;
        end if;
        
    end process;
    
    DAC_input <= DAC; -- creates the square wave

end Behavioral;
