----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/29/2017 01:26:03 PM
-- Design Name: 
-- Module Name: all_note_assign_sim - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity all_note_assign_sim is
--  Port ( );
end all_note_assign_sim;

architecture Behavioral of all_note_assign_sim is

    component all_note_assign is
        Port ( P_state : in STD_LOGIC_VECTOR (1 downto 0);
               Step : in STD_LOGIC_VECTOR (3 downto 0);
               Freq : in STD_LOGIC_VECTOR (3 downto 0);
               Assign : in STD_LOGIC;
               Pitches : out STD_LOGIC_VECTOR (15 downto 0));
    end component;
    
    signal P_state : STD_LOGIC_VECTOR (1 downto 0) := "00";
    
    signal Assign : STD_LOGIC;
    
    signal Step, Freq : STD_LOGIC_VECTOR (3 downto 0);
    
    signal Pitches : STD_LOGIC_VECTOR (15 downto 0) := x"0000";

begin

    UUT : all_note_assign port map ( P_state => P_state, Assign => Assign, Step => Step, Freq => Freq, Pitches => Pitches);
    
    process begin
        Step <= "1010";
        Freq <= "0001";
        Assign <= '1';
        wait for 20 ns;
        
        Step <= "0101";
        Freq <= "1100";
        Assign <= '1';
        wait for 20 ns;
        
        Step <= "0000";
        Freq <= "0000";
        Assign <= '1';
        wait for 10 ns;
        
        P_state <= "01";
        wait;

    end process;
       
end Behavioral;
