----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/19/2017 02:32:18 PM
-- Design Name: 
-- Module Name: note_assign_sim - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity note_assign_sim is
--  Port ( );
end note_assign_sim;

architecture Behavioral of note_assign_sim is

    component Note_assign is
        Port ( P_state : in STD_LOGIC_VECTOR (1 downto 0);
               Switch : in STD_LOGIC; -- positional switches
               Freq : in STD_LOGIC_VECTOR (3 downto 0);
               Assign : in STD_LOGIC;
               Pitch : out STD_LOGIC_VECTOR (3 downto 0)); -- the assigned pitch 
    end component;

    signal P_state : STD_LOGIC_VECTOR (1 downto 0) := "00";
    
    signal Freq, Pitch : STD_LOGIC_VECTOR (3 downto 0);
    
    signal Switch, Assign : STD_LOGIC := '0';

begin

    UUT : Note_assign port map (P_state => P_state, Freq => Freq, Switch => Switch, Assign => Assign, Pitch => Pitch);
    
    process begin
        
        switch <= '1';
        Freq <= "1100";
        Assign <= '1';
        wait for 10 ns;
        
        switch <= '1';
        Freq <= "0001";
        Assign <= '1';
        wait for 10 ns;
        
        switch <= '0';
        Freq <= "1100";
        Assign <= '1';
        wait for 10 ns;
        
        switch <= '1';
        Freq <= "1100";
        Assign <= '0';
        wait for 10 ns;
        
        switch <= '1';
        Freq <= "1100";
        Assign <= '1';
        wait for 10 ns;
        
        switch <= '1';
        Freq <= "0001";
        Assign <= '1';
        P_state <= "01";
        wait for 10 ns; 

        switch <= '1';
        Freq <= "0000";
        Assign <= '1';
        P_state <= "00";
        wait;        
           
    end process;


end Behavioral;
