----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/15/2017 08:51:24 AM
-- Design Name: 
-- Module Name: Clk_div_BPM - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Clk_div_BPM is
    Port ( Clk : in STD_LOGIC;
           Clk_BPM : out STD_LOGIC);
end Clk_div_BPM;

architecture Behavioral of Clk_div_BPM is

    signal count : integer := 0;
    
    signal signalBPM : STD_LOGIC := '0';

begin

    process (Clk)
    begin
        if (rising_edge(Clk)) then
            count <= count + 1; -- creates ambiguous adder
            
            if (count = 60000000) then -- 1.67 Hz, 100 BPM
                signalBPM <= not signalBPM; 
                count <= 0;
            end if;
            
        end if;
        
    end process;

    Clk_BPM <= signalBPM;

end Behavioral;

