----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/29/2017 02:47:36 PM
-- Design Name: 
-- Module Name: all_square_wave - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity all_square_wave is
    Port ( Tone : in STD_LOGIC_VECTOR (3 downto 0);
           DAC_input : out STD_LOGIC_VECTOR (15 downto 0));
end all_square_wave;

architecture Behavioral of all_square_wave is

    component square_wave is
        Port ( Tone : in STD_LOGIC;
               DAC_input : out STD_LOGIC_VECTOR (3 downto 0));
    end component;

begin

------------> ONLY USED FOR SIM PURPOSES <-----------------------------

    -- creating the square wave for each selected frequency GOOD
    SQWV3 : square_wave port map (Tone => Tone(3), DAC_input => dac_input (15 downto 12));
    
    SQWV2 : square_wave port map (Tone => Tone(2), DAC_input => dac_input (11 downto 8));
    
    SQWV1 : square_wave port map (Tone => Tone(1), DAC_input => dac_input (7 downto 4));
    
    SQWV0 : square_wave port map (Tone => Tone(0), DAC_input => dac_input (3 downto 0));

end Behavioral;
